=== modified file 'drizzled/handler.h'
--- drizzled/handler.h	2009-05-09 22:33:10 +0000
+++ drizzled/handler.h	2009-05-14 20:07:56 +0000
@@ -1145,8 +1145,7 @@
                   SQL_LIST *order, ha_rows rows, uint64_t options,
                   bool reset_auto_increment);
 bool mysql_truncate(Session *session, TableList *table_list, bool dont_send_ok);
-uint32_t create_table_def_key(Session *session, char *key, TableList *table_list,
-                              bool tmp_table);
+uint32_t create_table_def_key(char *key, TableList *table_list);
 TableShare *get_table_share(Session *session, TableList *table_list, char *key,
                              uint32_t key_length, uint32_t db_flags, int *error);
 void release_table_share(TableShare *share, enum release_type type);

=== modified file 'drizzled/lock.cc'
--- drizzled/lock.cc	2009-05-14 18:45:52 +0000
+++ drizzled/lock.cc	2009-05-14 20:07:56 +0000
@@ -888,7 +888,7 @@
   bool  found_locked_table= false;
   HASH_SEARCH_STATE state;
 
-  key_length= create_table_def_key(session, key, table_list, 0);
+  key_length= create_table_def_key(key, table_list);
 
   if (check_in_use)
   {
@@ -1088,7 +1088,7 @@
   char  key[MAX_DBKEY_LENGTH];
   uint32_t  key_length;
 
-  key_length= create_table_def_key(session, key, table_list, 0);
+  key_length= create_table_def_key(key, table_list);
 
   return is_table_name_exclusively_locked_by_this_thread(session, (unsigned char *)key,
                                                          key_length);

=== modified file 'drizzled/show.cc'
--- drizzled/show.cc	2009-05-14 16:46:36 +0000
+++ drizzled/show.cc	2009-05-14 20:07:56 +0000
@@ -2332,7 +2332,7 @@
   table_list.table_name= table_name->str;
   table_list.db= db_name->str;
 
-  key_length= create_table_def_key(session, key, &table_list, 0);
+  key_length= create_table_def_key(key, &table_list);
   pthread_mutex_lock(&LOCK_open);
   share= get_table_share(session, &table_list, key,
                          key_length, 0, &error);

=== modified file 'drizzled/sql_base.cc'
--- drizzled/sql_base.cc	2009-05-14 18:45:52 +0000
+++ drizzled/sql_base.cc	2009-05-14 20:07:56 +0000
@@ -104,10 +104,8 @@
 
   SYNOPSIS
     create_table_def_key()
-    session			Thread handler
     key			Create key here (must be of size MAX_DBKEY_LENGTH)
     table_list		Table definition
-    tmp_table		Set if table is a tmp table
 
  IMPLEMENTATION
     The table cache_key is created from:
@@ -124,8 +122,7 @@
     Length of key
 */
 
-uint32_t create_table_def_key(Session *session, char *key, TableList *table_list,
-                          bool tmp_table)
+uint32_t create_table_def_key(char *key, TableList *table_list)
 {
   uint32_t key_length;
   char *key_pos= key;
@@ -134,12 +131,6 @@
                   strlen(table_list->table_name);
   key_length= (uint32_t)(key_pos-key)+1;
 
-  if (tmp_table)
-  {
-    int4store(key + key_length, session->getServerId());
-    int4store(key + key_length + 4, session->variables.pseudo_thread_id);
-    key_length+= TMP_TABLE_KEY_EXTRA;
-  }
   return key_length;
 }
 
@@ -429,7 +420,7 @@
 
   table_list.db= (char*) db;
   table_list.table_name= (char*) table_name;
-  key_length= create_table_def_key((Session*) 0, key, &table_list, 0);
+  key_length= create_table_def_key(key, &table_list);
   return (TableShare*) hash_search(&table_def_cache,(unsigned char*) key, key_length);
 }
 
@@ -1269,7 +1260,7 @@
   uint	key_length;
   Table *table;
 
-  key_length= create_table_def_key(session, key, table_list, 1);
+  key_length= create_table_def_key(key, table_list);
   for (table=session->temporary_tables ; table ; table= table->next)
   {
     if (table->s->table_cache_key.length == key_length &&
@@ -1395,8 +1386,7 @@
   session->slave_proxy_id, separated by '\0'.
 */
 
-bool rename_temporary_table(Session* session, Table *table, const char *db,
-			    const char *table_name)
+bool rename_temporary_table(Table *table, const char *db, const char *table_name)
 {
   char *key;
   uint32_t key_length;
@@ -1408,7 +1398,7 @@
 
   table_list.db= (char*) db;
   table_list.table_name= (char*) table_name;
-  key_length= create_table_def_key(session, key, &table_list, 1);
+  key_length= create_table_def_key(key, &table_list);
   share->set_table_cache_key(key, key_length);
 
   return false;
@@ -1853,8 +1843,7 @@
   if (session->killed)
     return(0);
 
-  key_length= (create_table_def_key(session, key, table_list, 1) -
-               TMP_TABLE_KEY_EXTRA);
+  key_length= create_table_def_key(key, table_list);
 
   /*
     Unless requested otherwise, try to resolve this table in the list
@@ -1866,9 +1855,7 @@
   {
     for (table= session->temporary_tables; table ; table=table->next)
     {
-      if (table->s->table_cache_key.length == key_length +
-          TMP_TABLE_KEY_EXTRA && !memcmp(table->s->table_cache_key.str, key,
-          key_length + TMP_TABLE_KEY_EXTRA))
+      if (table->s->table_cache_key.length == key_length && !memcmp(table->s->table_cache_key.str, key, key_length))
       {
         /*
           We're trying to use the same temporary table twice in a query.
@@ -3442,7 +3429,7 @@
   table_list.db=         (char*) db;
   table_list.table_name= (char*) table_name;
   /* Create the cache_key for temporary tables */
-  key_length= create_table_def_key(session, cache_key, &table_list, 1);
+  key_length= create_table_def_key(cache_key, &table_list);
   path_length= strlen(path);
 
   if (!(tmp_table= (Table*) malloc(sizeof(*tmp_table) + sizeof(*share) +

=== modified file 'drizzled/sql_base.h'
--- drizzled/sql_base.h	2009-04-28 21:46:57 +0000
+++ drizzled/sql_base.h	2009-05-14 20:07:56 +0000
@@ -36,7 +36,6 @@
 void kill_drizzle(void);
 
 /* sql_base.cc */
-#define TMP_TABLE_KEY_EXTRA 8
 void set_item_name(Item *item,char *pos,uint32_t length);
 bool add_field_to_list(Session *session, LEX_STRING *field_name, enum enum_field_types type,
 		       char *length, char *decimal,
@@ -178,8 +177,7 @@
 void close_temporary_table(Session *session, Table *table, bool free_share,
                            bool delete_table);
 void close_temporary(Table *table, bool free_share, bool delete_table);
-bool rename_temporary_table(Session* session, Table *table, const char *new_db,
-			    const char *table_name);
+bool rename_temporary_table(Table *table, const char *new_db, const char *table_name);
 void remove_db_from_cache(const char *db);
 void flush_tables();
 bool is_equal(const LEX_STRING *a, const LEX_STRING *b);

=== modified file 'drizzled/sql_table.cc'
--- drizzled/sql_table.cc	2009-05-14 18:45:52 +0000
+++ drizzled/sql_table.cc	2009-05-14 20:07:56 +0000
@@ -2186,7 +2186,7 @@
     char key[MAX_DBKEY_LENGTH];
     uint32_t key_length;
 
-    key_length= create_table_def_key(session, key, table_list, 0);
+    key_length= create_table_def_key(key, table_list);
     pthread_mutex_lock(&LOCK_open);
     if (!(share= (get_table_share(session, table_list, key, key_length, 0,
                                   &error))))
@@ -4089,7 +4089,7 @@
     /* Remove link to old table and rename the new one */
     close_temporary_table(session, table, 1, 1);
     /* Should pass the 'new_name' as we store table name in the cache */
-    if (rename_temporary_table(session, new_table, new_db, new_name))
+    if (rename_temporary_table(new_table, new_db, new_name))
       goto err1;
     goto end_temporary;
   }

